VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/centos-release-advanced-virtualization/-/tree/d3a687b370dee9dd8c906ab365900b7bd9c3b906
Summary: Advanced Virtualization packages from the CentOS Virtualization SIG repository
Name: centos-release-advanced-virtualization
Version: 1.0
Release: 3%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Virtualization
Source0: CentOS-Advanced-Virtualization.repo
Source1: COPYING

BuildArch: noarch

Requires: centos-release-virt-common
Requires: centos-release
Requires(post): centos-release

%description
yum configuration and basic docs for Advanced Virtualization packages as delivered via the
CentOS Virtualization SIG.

%prep
cp %{SOURCE1} .

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Advanced-Virtualization.repo

%post
source /etc/os-release
if [[ $ID == 'centos' && $NAME == *'Stream' ]] || [ $ID != 'centos' ]; then
    #echo "8-stream" > /etc/dnf/vars/avstream
    ln -s /etc/dnf/vars/cernstream8 /etc/dnf/vars/avstream
    echo "s8-testing" > /etc/dnf/vars/avtesting
    echo "advancedvirt-common" > /etc/dnf/vars/avdir
else
    #echo "8" > /etc/dnf/vars/avstream
    ln -s /etc/dnf/vars/cernbase /etc/dnf/vars/avstream
    echo "8-testing" > /etc/dnf/vars/avtesting
    echo "advanced-virtualization" > /etc/dnf/vars/avdir
fi

%postun
if [ $1 -eq 0 ] ; then
    rm -f /etc/dnf/vars/avstream
    rm -f /etc/dnf/vars/avtesting
    rm -f /etc/dnf/vars/avdir
fi


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Advanced-Virtualization.repo
%license COPYING

%changelog
* Wed Jun 16 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.0-3
- CERN rebuild, pointing repos to linuxsoft.cern.ch

* Wed Jun 09 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-3
- Add support for CentOS Stream 8 repos

* Mon Sep 14 2020 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.0-2
- CERN rebuild, pointing repos to linuxsoft.cern.ch

* Wed Sep 02 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-2
- Set module_hotfixes=1 for advanced virtualization repos

* Thu Jun 04 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0-1
- Initial packaging
